﻿namespace ProjectFighterJet
{
    public class EntityFighterJet
    {
        /// <summary>
        /// Скорость
        /// </summary>
        public int Speed { get; private set; }
        /// <summary>
        /// Вес
        /// </summary>
        public double Weight { get; private set; }
        /// <summary>
        /// Основной цвет
        /// </summary>
        public Color BodyColor { get; private set; }
        /// <summary>
        /// Дополнительный цвет (для опциональных элементов)
        /// </summary>
        public Color AdditionalColor { get; private set; }
        /// <summary>
        /// Признак (опция) наличия ракет
        /// </summary>
        public bool Rockets { get; private set; }
        /// <summary>
        /// Признак (опция) наличия топливного бака   
        /// </summary>
        public bool Fuel { get; private set; }
        /// <summary>
        /// Признак (опция) наличия двигателя
        /// </summary>
        public bool Engines { get; private set; }
        /// <summary>
        /// Шаг перемещения истрибителя
        /// </summary>
        public double Step => Speed * 100 / Weight;
        /// <summary>
        /// Инициализация полей объекта-класса спортивного автомобиля
        /// </summary>
        /// <param name="speed">Скорость</param>
        /// <param name="weight">Вес истрибителя</param>
        /// <param name="bodyColor">Основной цвет</param>
        /// <param name="additionalColor">Дополнительный цвет</param>
        /// <param name="rockets">Признак наличия ракет</param>
        /// <param name="fuel">Признак наличия топливного бака</param>
        /// <param name="engines">Признак наличия двигателей</param>
        public void Init(int speed, double weight, Color bodyColor, Color
        additionalColor, bool rockets, bool fuel, bool engines)
        {
            Speed = speed;
            Weight = weight;
            BodyColor = bodyColor;
            AdditionalColor = additionalColor;
            Rockets = rockets;
            Fuel = fuel;
            Engines = engines;
        }
    }

}

