﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ProjectFighterJet
{
    public partial class FormFighterJet : Form
    {
        private DrawningFighterJet? _drawningFighterJet;
        public FormFighterJet()
        {
            InitializeComponent();
        }/// <summary>
         /// Метод прорисовки машины
         /// </summary>
        private void Draw()
        {
            if (_drawningFighterJet == null)
            {
                return;
            }
            Bitmap bmp = new(pictureBoxFighterJet.Width,
            pictureBoxFighterJet.Height);
            Graphics gr = Graphics.FromImage(bmp);
            _drawningFighterJet.DrawTransport(gr);
            pictureBoxFighterJet.Image = bmp;
        }

        private void ButtonCreate_Click(object sender, EventArgs e)
        {
            Random random = new();
            _drawningFighterJet = new DrawningFighterJet();
            _drawningFighterJet.Init(random.Next(100, 300), random.Next(1000,3000),
                Color.FromArgb(random.Next(0, 256), random.Next(0, 256),random.Next(0, 256)),
                Color.FromArgb(random.Next(0, 256), random.Next(0, 256),random.Next(0, 256)),
                Convert.ToBoolean(random.Next(0, 2)), Convert.ToBoolean(random.Next(0, 2)),Convert.ToBoolean(random.Next(0, 2)));
            _drawningFighterJet.SetPictureSize(pictureBoxFighterJet.Width,pictureBoxFighterJet.Height);
            _drawningFighterJet.SetPosition(random.Next(10, 100), random.Next(10,100));
            Draw();
        }

        private void ButtonMove_Click(object sender, EventArgs e)
        {
            if (_drawningFighterJet == null)
            {
                return;
            }
            string name = ((Button)sender)?.Name ?? string.Empty;
            bool result = false;
            switch (name)
            {
                case "buttonUp":
                    result =
                    _drawningFighterJet.MoveTransport(DirectionType.Up);
                    break;
                case "buttonDown":
                    result =
                    _drawningFighterJet.MoveTransport(DirectionType.Down);
                    break;
                case "buttonLeft":
                    result =
                    _drawningFighterJet.MoveTransport(DirectionType.Left);
                    break;
                case "buttonRight":
                    result =
                    _drawningFighterJet.MoveTransport(DirectionType.Right);
                    break;
            }
            if (result)
            {
                Draw();
            }
        }

    }
}

